// Version: Intralink v.3.3.M020 (2003500-I5.0.0.208)
// Start Macro Recording

import com.ptc.intralink.client.script.*;
import com.ptc.intralink.script.*;

import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;


public class ChangeFontSize extends ILIntralinkScript {


  ILIntralinkScriptInterface IL =(ILIntralinkScriptInterface)getScriptInterface();



  public void run () throws Exception {

    System.out.println( "----------------------------------" );
    setMenuFontSizeDefault(15);
    updateAllFrames();

  }



  private void updateAllFrames () {

    Frame frames[] = Frame.getFrames();

    for (int i = 0; i < frames.length; i++) {

        if ( frames[i].getTitle().equals("") || frames[i].getTitle().equals("Pending RTP Forms") ) {
          continue;
        }

        try {
          SwingUtilities.updateComponentTreeUI(frames[i]);
        }
        catch (Exception e) {
          // Exception thrown, skip it
        }

        Window windows[] = frames[i].getOwnedWindows();
        for (int j = 0; j < windows.length; j++) {
          try {
            SwingUtilities.updateComponentTreeUI(windows[j]);
          }
          catch (Exception e) {
            // Exception thrown, skip it
          }
        }

    }

  }



  private void setMenuFontSizeDefault(int size) {


        // get font style and name from current menu font
        //
        String BaseFontSource = "Menu.font";
        Font fontCurrent = UIManager.getFont(BaseFontSource);
        String name = fontCurrent.getName();
        int style = fontCurrent.getStyle();

        String styleName = "(?)";
        if (style == Font.PLAIN)  { styleName = "(Plain)"; }
        if (style == Font.ITALIC) { styleName = "(Italic)"; }
        if (style == Font.BOLD)   { styleName = "(Bold)"; }

        System.out.println( "Current " + BaseFontSource + "name/style/size: "
                            + name + "/" + style + styleName + "/" + fontCurrent.getSize() );

        // Override font name and style by uncommenting these
        //name = "Times New Roman";
         style = Font.BOLD;

        System.out.println( "Changing name/style/size to: " + name + "/" + style + styleName + "/" + size );

        // create similar font with the specified size
        //
        FontUIResource fontResourceNew = new FontUIResource(name, style, size);


        // change UI defaults for all types of menu components
        //
        UIManager.put("Button.font",  fontResourceNew);
        UIManager.put("CheckBox.font",  fontResourceNew);
        UIManager.put("CheckBoxMenuItem.acceleratorFont",fontResourceNew);
        UIManager.put("CheckBoxMenuItem.font",  fontResourceNew);
        UIManager.put("ComboBox.font",  fontResourceNew);
        UIManager.put("DesktopIcon.font",  fontResourceNew);
        UIManager.put("EditorPane.font",  fontResourceNew);
        UIManager.put("FormattedTextField.font",  fontResourceNew);
        UIManager.put("InternalFrame.titleFont",  fontResourceNew);
        UIManager.put("Label.font", fontResourceNew);
        UIManager.put("List.font",  fontResourceNew);
        UIManager.put("Menu.acceleratorFont",  fontResourceNew);
        UIManager.put("Menu.font",  fontResourceNew);
        UIManager.put("MenuBar.font",  fontResourceNew);
        UIManager.put("MenuItem.acceleratorFont",  fontResourceNew);
        UIManager.put("MenuItem.font",  fontResourceNew);
        UIManager.put("OptionPane.buttonFont", fontResourceNew);
        UIManager.put("OptionPane.messageFont",  fontResourceNew);
        UIManager.put("PasswordField.font", fontResourceNew);
        UIManager.put("PopupMenu.font",  fontResourceNew);
        UIManager.put("ProgressBar.font",  fontResourceNew);
        UIManager.put("RadioButton.font",  fontResourceNew);
        UIManager.put("RadioButtonMenuItem.acceleratorFont",fontResourceNew);
        UIManager.put("RadioButtonMenuItem.font",  fontResourceNew);
        UIManager.put("Spinner.font",  fontResourceNew);
        UIManager.put("TabbedPane.font", fontResourceNew);
        UIManager.put("Table.font", fontResourceNew);
        UIManager.put("TableHeader.font",  fontResourceNew);
        UIManager.put("TextArea.font", fontResourceNew);
        UIManager.put("TextField.font", fontResourceNew);
        UIManager.put("TextPane.font",  fontResourceNew);
        UIManager.put("TitledBorder.font",  fontResourceNew);
        UIManager.put("ToggleButton.font",  fontResourceNew);
        UIManager.put("ToolBar.font",  fontResourceNew);
        UIManager.put("ToolTip.font",  fontResourceNew);
        UIManager.put("Tree.font",  fontResourceNew);
        UIManager.put("Viewport.font", fontResourceNew);
        UIManager.put("JTitledPanel.title.font", fontResourceNew);

  }



}





